<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;


require_once ('functions_station.php');
require_once ('functions_printer.php');


// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if ( !function_exists( 'chld_thm_cfg_locale_css' ) ):
    function chld_thm_cfg_locale_css( $uri ){
        if ( empty( $uri ) && is_rtl() && file_exists( get_template_directory() . '/rtl.css' ) )
            $uri = get_template_directory_uri() . '/rtl.css';
        return $uri;
    }
endif;
add_filter( 'locale_stylesheet_uri', 'chld_thm_cfg_locale_css' );

if ( !function_exists( 'child_theme_configurator_css' ) ):
    function child_theme_configurator_css() {
        wp_enqueue_style( 'chld_thm_cfg_separate', trailingslashit( get_stylesheet_directory_uri() ) . 'ctc-style.css', array( 'orchid-store-style','orchid-store-boxicons','orchid-store-fontawesome','orchid-store-main-style' ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'child_theme_configurator_css', 10 );

// END ENQUEUE PARENT ACTION

function wpb_hook_javascript() {
// no idea what's the purpose: hides categories in the dropdown on the eshop page
    ?>
    <link rel="apple-touch-icon" sizes="57x57" href="/favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="/favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon/favicon-16x16.png">
    <link rel="manifest" href="/favicon/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/favicon/ms-icon-144x144.png">
	<script>
	    jQuery(document).ready(function() {
	        jQuery(".wcpt-dropdown-option").each(function(){
	            var temp = jQuery(this).attr("data-wcpt-value");
                    jQuery(this).hide();
                if((temp != "94") && (temp != "95") && (temp != "96")) {
                    jQuery(this).hide();
                }
            });
	    });
	</script>
    <?php
}
add_action('wp_head', 'wpb_hook_javascript');

/**
 * @snippet       WooCommerce Holiday/Pause Mode
 * @how-to        Get CustomizeWoo.com FREE
 * @sourcecode    https://businessbloomer.com/?p=20862
 * @author        Rodolfo Melogli
 * @testedwith    WooCommerce 3.5.1
 * @donate $9     https://businessbloomer.com/bloomer-armada/
 */
// Trigger Holiday Mode
//add_action ('init', 'bbloomer_woocommerce_holiday_mode');


// Disable Cart, Checkout, Add Cart
function bbloomer_woocommerce_holiday_mode() {
   remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
   remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
   remove_action( 'woocommerce_proceed_to_checkout', 'woocommerce_button_proceed_to_checkout', 20 );
   remove_action( 'woocommerce_checkout_order_review', 'woocommerce_checkout_payment', 20 );
   add_action( 'woocommerce_before_main_content', 'bbloomer_wc_shop_disabled', 5 );
   add_action( 'woocommerce_before_cart', 'bbloomer_wc_shop_disabled', 5 );
   add_action( 'woocommerce_before_checkout_form', 'bbloomer_wc_shop_disabled', 5 );
}
// Show Holiday Notice
function bbloomer_wc_shop_disabled() {
	wc_print_notice( 'Notre magasin de développement n\'accepte pas les commandes :)', 'error');
}

////////////////////////////////////////////
// Add mandatory checkbox before payment
add_action( 'woocommerce_review_order_before_submit', 'bt_add_checkout_checkbox', 10 );

function bt_add_checkout_checkbox() {
   
    woocommerce_form_field( 'checkout_checkbox', array( // CSS ID
       'type'          => 'checkbox',
       'class'         => array('form-row mycheckbox'), // CSS Class
       'label_class'   => array('woocommerce-form__label woocommerce-form__label-for-checkbox checkbox'),
       'input_class'   => array('woocommerce-form__input woocommerce-form__input-checkbox input-checkbox'),
       'required'      => true, // Mandatory or Optional
       'label'         => 'J\'accepte les <a href="/conditions-generales-de-vente/" target="_blank" rel="noopener" style="text-decoration:underline;">conditions générales de vente</a>', // Label and Link
    ));    
}

add_action( 'woocommerce_checkout_process', 'bt_add_checkout_checkbox_warning' );

// Alert if checkbox not checked
function bt_add_checkout_checkbox_warning() {
    if ( ! (int) isset( $_POST['checkout_checkbox'] ) ) {
        wc_add_notice( __( 'Veuillez accepter les conditions générales de vente' ), 'error' );
    }
}

////////////////////////////////////////////
// Search form for woocommerce is inserted in header by theme
// with function defined /themes/orchid-store/inc/woocommerce-hooks.php
// so we redefine it empty
function orchid_store_product_search_action() {
}

////////////////////////////////////////////
// Display single excerpt (Information complémentaire) at end of product WooCommerce
// See woocommerce/content-single-product.php for priority values
// Template short-description.php was copied to custom theme to add an <hr>

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 60 );



////////////////////////////////////////////
// Change copyright message in footer
remove_action( 'orchid_store_footer_left', 'orchid_store_footer_left_action', 10);
add_action( 'orchid_store_footer_left', 'orchid_store_custom_copyright', 5 );

function orchid_store_footer_left_action() {
}
if( !function_exists( 'orchid_store_custom_copyright' ) ) {

	function orchid_store_custom_copyright() {
		?>
		<div class="copyrights">
			<p>
				<?php
					printf( esc_html__( 'Copyright © ' . date("Y") . ' Recharge Station', 'recharge-station' ) );
				?>
			</p>
        </div>
        <div style="font-size:11px">Toutes les marques & références citées restent la propriété de leur constructeur respectif et sont utilisées à seule fin de faciliter\nl’identification des produits</div>
        <!-- .copyrights -->
		<?php
	}
}


////////////////////////////////////////////
// Remove related products output
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );


function AS_disable_plugin_updates( $value ) {
//create an array of plugins you want to exclude from updates ( string composed by folder/main_file.php)
	$pluginsNotUpdatable = [
		'different-menus-in-different-pages/different-menus-in-different-page.php',
		'woocommerce/woocommerce.php',
		'wc-product-table-lite/main.php',
	];

	if ( isset($value) && is_object($value) ) {
		foreach ($pluginsNotUpdatable as $plugin) {
			if ( isset( $value->response[$plugin] ) ) {
				unset( $value->response[$plugin] );
			}
		}
	}
	return $value;
}
add_filter( 'site_transient_update_plugins', 'AS_disable_plugin_updates' );

